/*	Test CALLBACK feature of RPC			          cback_prog_c.c
**	----------------------------
**
**  This file implements the CBACK1 package
*/
/*  main()	    displays 3 messages.
**  display_all()   displays one message in several lines with stars around
**  display_line()  displays one line indented, with the newline on the end.
*/

extern attach_cback2();
extern open_cback1();

int main(int argc, char *argv[])
{
    attach_cback2();
    printf("PROG: Callback server stub attached\n");

    open_cback1();
    printf("PROG: Client stub opened.\n");

    display_all("This is message one (1)");
    display_all("This is message two (2)");
    display_all("This is the last message (3)");

    return 0;	/* ok */
}

/*  We provide here the subroutine which display_all will use for displaying
**  each line of the message:
*/
 
void display_line(char *line)
{
    printf("\t%s\n",line);
}
